<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Edit User</title>
</head>
<style>
    .textarea-color {
        background-color: lightgray;
        border: none;
        align-items: flex-end;
        width: 400px;
        height: 30px;
        margin-left: 10px;
    }
</style>

<script>
    $(document).ready(function () {
        onPageLoading();
    })

    function onPageLoading() {
        var url_string = window.location;
        var url = new URL(url_string);
        var vId = url.searchParams.get("id");
        console.log(vId);
        callApiToTable(vId);
    }

    function callApiToTable(id){
        const vBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
        $.ajax({
            url: vBASE_URL + id,
            type: "GET",
            dataType: 'json',
            success: function(res){
                console.log(res);
                loadDataToTable(res);
            },
            error: function(error){
                console.log(error);
            }
        })
    }

    function loadDataToTable(userInfor){
        $("#input-edit-firstname").val(userInfor.firstname);
        $("#input-edit-lastname").val(userInfor.lastname);
        $("#input-edit-subject").val(userInfor.subject);
        $("#input-edit-country option:selected").text(userInfor.country);
        $("#input-edit-customer-type option:selected").text(userInfor.customerType);
        $("#input-edit-register-status option:selected").text(userInfor.registerStatus);
    }
</script>

<body>
    <div class="container">
        <h2 class="text-secondary text-center">Chi Tiết User</h2>
        <form class="text-center">
            <div>
                <label for="input-edit-firstname" class="col-3">First Name</label>
                <input id="input-edit-firstname" class="textarea-color">
            </div>
            <div>
                <label for="input-edit-lastname" class="col-3">Last Name</label>
                <input id="input-edit-lastname" class="textarea-color">
            </div>
            <div>
                <label for="input-edit-subject" class="col-3">Subject</label>
                <input id="input-edit-subject" class="textarea-color">
            </div>
            <div>
                <label for="input-edit-country" class="col-3">Country</label>
                <select id="input-edit-country" class="textarea-color">
                    <option value="0">None</option>
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
            <div>
                <label for="input-edit-customer-type" class="col-3">Customer Type</label>
                <select id="input-edit-customer-type" class="textarea-color">
                    <option value="0">None</option>
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
            <div>
                <label for="input-edit-register-status" class="col-3">Register status</label>
                <select id="input-edit-register-status" class="textarea-color">
                    <option value="0">None</option>
                    <option value="New">New</option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
                </select>
            </div>

        </form>
    </div>
</body>

</html>